Bug 247459 - net/uriparser: Update to 0.9.5
Summary: net/uriparser: Update to 0.9.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Thomas Zander
URL: https://github.com/uriparser/uriparse...
Keywords: buildisok, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2020-06-21 15:11 UTC by Sergei Vyshenski
Modified: 2021-03-28 21:17 UTC (History)
3 users (show)

See Also:
riggs: maintainer-feedback-


Attachments
patch to update the port (3.86 KB, patch)
2020-06-21 15:11 UTC, Sergei Vyshenski
no flags Details | Diff
update to 0.9.5 (3.49 KB, patch)
2021-03-20 12:56 UTC, Thomas Zander
no flags Details | Diff
patch to update the port (3.74 KB, patch)
2021-03-21 14:15 UTC, Sergei Vyshenski
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sergei Vyshenski 2020-06-21 15:11:18 UTC
Created attachment 215843 [details]
patch to update the port

- update 0.9.1 -> 0.9.4
Changes: https://github.com/uriparser/uriparser/blob/uriparser-0.9.4/ChangeLog
- respect upstream's move to GH
- use non-standard way to fetch tarbals from github, cf PR#221634:
	https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=221634
	Case related to this port is called "H-tarball" there.
- respect upstream's switch to cmake and bash
- add optional build and run of googletest tests
- add optional build and install of fancy docs in many formats
- request maintainership as Ed Schouten is absent for 6+ years, see:
https://svnweb.freebsd.org/ports/head/net/uriparser/Makefile?view=log

- "portlint -AC" is not happy about single name in a DISTFILES list.
	Actually there are 3 of them: 
	make -V DISTFILES --> uriparser-0.9.4-doc.zip uriparser-0.9.4.qch
- Tested with:
12.1-RELEASE-p6 amd64
poudriere 3.3.4
perl 5.30.3
pkg 1.14.4
- googletest tests, built and run in a clean poudriere jail, say: PASS.
Comment 1 Automation User 2020-07-06 00:10:06 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/163314744
Comment 2 Thomas Zander freebsd_committer 2021-03-20 12:56:15 UTC
Created attachment 223449 [details]
update to 0.9.5
Comment 3 Thomas Zander freebsd_committer 2021-03-20 12:58:50 UTC
Maintainer timeout.

@Ed: Are you OK with Sergei maintaining the port for the time being?

@Sergei: Thanks for the patch and sorry for the long feedback delay. I modified your patch a little and updated it to 0.9.5. Can you take a look?
Comment 4 Sergei Vyshenski 2021-03-20 14:38:47 UTC
Thomas, thank you very much.
Something has changed upstream, need some time to investigate.
Comment 5 Sergei Vyshenski 2021-03-21 14:15:53 UTC
Created attachment 223476 [details]
patch to update the port

Thomas,

Slightly modified your patch, mainly along advices from 
"portclippy Makefile"

Also, only 97% of googletests pass here with release 0.9.5.
With release 0.9.4 the result was 100%.
Most probably this could be discussed with the upstream later.

Regards, Sergei
Comment 6 Sergei Vyshenski 2021-03-21 15:16:20 UTC
And yes, poudriere testport runs just fine with the latest patch.
Comment 7 Sergei Vyshenski 2021-03-22 23:39:58 UTC
That was tests for devel/googletest itself, 
which passed with 97% result.

Instead, google tests for net/uriparser-0.9.5 pass with 100% result when called as follows:

cd net/uriparser
make config  #tick TEST here
make test

The same 100% result is given when tests are activated in a clean
jail of poudriere.

Sorry about this confusion.

Let me repeat description for the latest patch from attachment 223476 [details]:
====================================
- update 0.9.1 -> 0.9.5
Changes: https://github.com/uriparser/uriparser/blob/uriparser-0.9.5/ChangeLog
- respect upstream's move to GH
- use non-standard way to fetch tarbals from github, cf PR#221634:
	https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=221634
	Case related to this port is called "H-tarball" there.
- respect upstream's switch to cmake and bash
- add optional build and run of googletest tests
- add optional build and install of fancy docs in many formats
- request maintainership as Ed Schouten is absent for 6+ years, see:
https://svnweb.freebsd.org/ports/head/net/uriparser/Makefile?view=log

- "portclippy Makefile" is happy.
- "portlint -AC" is not happy about single name in a DISTFILES list.
	Actually there are 3 of them: 
	make -V DISTFILES --> uriparser-0.9.5.tar.xz uriparser-0.9.5-doc.zip uriparser-0.9.5.qch
- Tested with:
12.2-RELEASE-p4
pkg 1.16.3
poudriere 3.3.6
perl 5.32.1
openssl 1.1.1h
- googletest tests, built and run in a clean poudriere jail, say: PASS.
Comment 8 commit-hook freebsd_committer 2021-03-28 21:13:05 UTC
A commit references this bug:

Author: riggs
Date: Sun Mar 28 21:12:07 UTC 2021
New revision: 569415
URL: https://svnweb.freebsd.org/changeset/ports/569415

Log:
  Update to upstream version 0.9.5.

  Details:
  - Update 0.9.1 -> 0.9.5
    Changes: https://github.com/uriparser/uriparser/blob/uriparser-0.9.5/ChangeLog
  - Fetch distfiles from GitHub
  - Use non-standard way to fetch tarbals from github, cf PR#221634:
    https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=221634
    Case related to this port is called "H-tarball" there.
  - Follow upstream's switch to cmake and bash
  - Add optional build and run of googletest tests
  - Add optional build and install of fancy docs in many formats
  - Request maintainership as Ed Schouten is absent for 6+ years, see:
    https://svnweb.freebsd.org/ports/head/net/uriparser/Makefile?view=log

  PR:		247459
  Submitted by:	svysh.fbsd@gmail.com (new maintainer)
  Approved by:	previous maintainer timeout

Changes:
  head/net/uriparser/Makefile
  head/net/uriparser/distinfo
  head/net/uriparser/pkg-descr
  head/net/uriparser/pkg-plist
Comment 9 Thomas Zander freebsd_committer 2021-03-28 21:17:34 UTC
Thanks for your work and patience with this port!